Package twisted :: Package internet :: Module interfaces :: Class IReactorUNIX

[show private | hide private]
[frames | no frames]

## Class IReactorUNIX

    Interface --+
                |
               IReactorUNIX

UNIX socket methods.

Method Summary
| ``connectUNIX`(self, address, factory, timeout)` Connect a client protocol to a UNIX socket.
| ``listenUNIX`(self, address, factory, backlog)` Listen on a UNIX socket.

Method Details

### connectUNIX(self, address, factory, timeout=30)

Connect a client protocol to a UNIX socket.

  Parameters:
    `address` - a path to a unix socket on the filesystem.
    `factory` - a `twisted.internet.protocol.ClientFactory` instance
    `timeout` - number of seconds to wait before assuming the connection has failed.
  Returns:
    an `IConnector`.

### listenUNIX(self, address, factory, backlog=5)

Listen on a UNIX socket.

  Parameters:
    `address` - a path to a unix socket on the filesystem.
    `factory` - a `twisted.internet.protocol.Factory` instance.
    `backlog` - number of connections to allow in backlog.

Generated by Epydoc 1.1 on Sat Feb 15 21:17:52 2003 | http://epydoc.sf.net